/**
 * Clase que encapsula la informacin asociada a cada elemento almacenado en el montculo.
 * @author rcrespo
 *
 */
public class ElementoColaPrioridad {
	
	private int prioridad;
	private Object info;
	
	public ElementoColaPrioridad(Object info, int prioridad) {
		this.info = info;
		this.prioridad = prioridad;
	}

	public Object getInfo() {
		return info;
	}

	public int getPrioridad() {
		return prioridad;
	}

	public void setInfo(Object info) {
		this.info = info;
	}

	public void setPrioridad(int prioridad) {
		this.prioridad = prioridad;
	}

	public String toString() {
		return (prioridad + " - " + info.toString());
	}
}
