public class  GestorColaImpresion {

    ColaConPrioridad cola;

    /**
     * Inicializa el gestor, vaco.
     */
    public GestorColaImpresion() {
		cola = new MonticuloBinario();
    }

    /**
     * Agrega un nuevo trabajo de impresin, con la prioridad indicada.
     */
    public void imprimir(int prioridad, String fichero) {
    	cola.insertar(prioridad, fichero);
    }

    /**
     * Procesa (saca por impresora) el primer trabajo de la cola, con prioridad mxima, 
     * reorganizando adecuadamente la estructura de datos. 
     */
    public void procesar() {
    	cola.extraer();
    }

}
